jobs:
#FA+RM , non-iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 10 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0 --RM-mode   --shards-per-client 1

#FA+RM , iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 10 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0 --RM-mode   --iid-dataset




#FA, non-iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/cifar10_schedule_tuned.yaml  --n-clients-per-round 10 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --shards-per-client 1

#FA, iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 10 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --iid-dataset




#FA+AH, non-iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 10 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --shards-per-client 1


#FA+AH, iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 10 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --iid-dataset



#FA+RM+AH, non-iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 10 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --shards-per-client 1 --RM-mode

#FA+RM+AH, iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 10 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --iid-dataset --RM-mode


#FA+RM , non-iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 5 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0 --RM-mode   --shards-per-client 1

#FA+RM , iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 5 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0 --RM-mode   --iid-dataset




#FA, non-iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/cifar10_schedule_tuned.yaml  --n-clients-per-round 5 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --shards-per-client 1

#FA, iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 5 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --iid-dataset




#FA+AH, non-iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 5 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --shards-per-client 1


#FA+AH, iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 5 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --iid-dataset



#FA+RM+AH, non-iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 5 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --shards-per-client 1 --RM-mode

#FA+RM+AH, iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml --adaptive-hparams    --n-clients-per-round 5 --task cifar10 --num-loader-workers 10 --hyper-lr 0.01   --initial-precision 60.0 --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0  --windowed-updates --iid-dataset --RM-mode


#FA+WD, non-iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/cifar10_schedule_tuned.yaml  --n-clients-per-round 10 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --shards-per-client 1 --weight-divergence-coeff 0.01

##FA+WD, iid, C = 1.0
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 10 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --iid-dataset --weight-divergence-coeff 0.01


##FA+WD, non-iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/cifar10_schedule_tuned.yaml  --n-clients-per-round 5 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --shards-per-client 1 --weight-divergence-coeff 0.01

##FA+WD, iid, C = 0.5
  - python3 ./main.py  --schedule-file ./schedules/mnist_cifar10_schedule.yaml  --n-clients-per-round 5 --task cifar10 --num-loader-workers 10  --refresh-optimizers  --entropy-threshold 2.0 --epochs 500 --use-cuda --entropy-coeff 1.0    --iid-dataset --weight-divergence-coeff 0.01
